Bug 1031684 - [abrt] libreoffice-core-4.1.3.2-4.fc19: Window::GetParent: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-4.1.3.2-4.fc19: Window::GetParent: Process /usr/lib64...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:d15c027199b6f51c2be5069b61b...
:
: 1033323 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-18 09:38 EST by Wouter
Modified: 2015-01-06 08:39 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-06 08:39:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (62.80 KB, text/plain)
2013-11-18 09:38 EST, Wouter
no flags Details
File: cgroup (141 bytes, text/plain)
2013-11-18 09:38 EST, Wouter
no flags Details
File: core_backtrace (41.78 KB, text/plain)
2013-11-18 09:38 EST, Wouter
no flags Details
File: dso_list (23.72 KB, text/plain)
2013-11-18 09:38 EST, Wouter
no flags Details
File: environ (1.87 KB, text/plain)
2013-11-18 09:38 EST, Wouter
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-18 09:38 EST, Wouter
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-18 09:38 EST, Wouter
no flags Details
File: maps (109.23 KB, text/plain)
2013-11-18 09:38 EST, Wouter
no flags Details
File: open_fds (547 bytes, text/plain)
2013-11-18 09:39 EST, Wouter
no flags Details
File: proc_pid_status (935 bytes, text/plain)
2013-11-18 09:39 EST, Wouter
no flags Details
File: var_log_messages (339 bytes, text/plain)
2013-11-18 09:39 EST, Wouter
no flags Details
impress presentation (2.23 MB, application/vnd.oasis.opendocument.presentation)
2013-11-22 13:00 EST, Wouter
no flags Details

  None (edit)
Description Wouter 2013-11-18 09:38:20 EST
Description of problem:
In LO-Impress I was changing slides by selecting another (standard) layout, during this Impress collapsed.

Version-Release number of selected component:
libreoffice-core-4.1.3.2-4.fc19

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --impress file:///home/wh/Documenten/PROJECTS/seminars/Paxvaart2013NSA/WH_seminarPaxVessel2013-v6.odp --splash-pipe=5
crash_function: Window::GetParent
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.11.8-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 Window::GetParent at /usr/src/debug/libreoffice-4.1.3.2/vcl/source/window/window2.cxx:1542
 #1 sd::slidesorter::controller::SlideSorterController::WindowEventHandler at /usr/src/debug/libreoffice-4.1.3.2/sd/source/ui/slidesorter/controller/SlideSorterController.cxx:627
 #2 Call at /usr/src/debug/libreoffice-4.1.3.2/include/tools/link.hxx:123
 #3 VclEventListeners::Call at /usr/src/debug/libreoffice-4.1.3.2/vcl/source/app/vclevent.cxx:67
 #4 Application::ImplCallEventListeners at /usr/src/debug/libreoffice-4.1.3.2/vcl/source/app/svapp.cxx:765
 #5 Window::CallEventListeners at /usr/src/debug/libreoffice-4.1.3.2/vcl/source/window/window.cxx:5272
 #6 Window::ImplCallEventListeners at /usr/src/debug/libreoffice-4.1.3.2/vcl/source/window/window.cxx:5260
 #7 Window::ImplResetReallyVisible at /usr/src/debug/libreoffice-4.1.3.2/vcl/source/window/window.cxx:1595
 #8 Window::Show at /usr/src/debug/libreoffice-4.1.3.2/vcl/source/window/window.cxx:6316
 #9 Hide at /usr/src/debug/libreoffice-4.1.3.2/include/vcl/window.hxx:731
Comment 1 Wouter 2013-11-18 09:38:29 EST
Created attachment 825681 [details]
File: backtrace
Comment 2 Wouter 2013-11-18 09:38:35 EST
Created attachment 825682 [details]
File: cgroup
Comment 3 Wouter 2013-11-18 09:38:39 EST
Created attachment 825683 [details]
File: core_backtrace
Comment 4 Wouter 2013-11-18 09:38:43 EST
Created attachment 825684 [details]
File: dso_list
Comment 5 Wouter 2013-11-18 09:38:46 EST
Created attachment 825685 [details]
File: environ
Comment 6 Wouter 2013-11-18 09:38:50 EST
Created attachment 825686 [details]
File: exploitable
Comment 7 Wouter 2013-11-18 09:38:53 EST
Created attachment 825687 [details]
File: limits
Comment 8 Wouter 2013-11-18 09:38:57 EST
Created attachment 825688 [details]
File: maps
Comment 9 Wouter 2013-11-18 09:39:01 EST
Created attachment 825689 [details]
File: open_fds
Comment 10 Wouter 2013-11-18 09:39:06 EST
Created attachment 825690 [details]
File: proc_pid_status
Comment 11 Wouter 2013-11-18 09:39:09 EST
Created attachment 825691 [details]
File: var_log_messages
Comment 12 Caolan McNamara 2013-11-21 11:17:58 EST
Is this reproducible in any way ? e.g. if you load the original presentation and click on all the available layouts one after another ?
Comment 13 Wouter 2013-11-21 16:21:03 EST
The same happened again (I changed the layout of the presentation frequently, at which LO Impress stopped after about a minute and asked to recover the file when restarted). A new Bugzilla report was generated with the id: 1033323.
Comment 14 Caolan McNamara 2013-11-22 09:37:42 EST
Can I get the presentation then attached to this bugzilla entry ? I'm having no success reproducing this with a blank new presentation.
Comment 15 Caolan McNamara 2013-11-22 09:38:03 EST
*** Bug 1033323 has been marked as a duplicate of this bug. ***
Comment 16 Wouter 2013-11-22 13:00:03 EST
Created attachment 827926 [details]
impress presentation

This is the presentation related to the bug. What I also noticed was, that it also interferes with the MATE desktop environment in the sense that the full screen view (after pressing F5 in LO Impress) does not show, but the MATE panels disappear. After de-viewing (right mouse click, stop full screen presentation), the normal screen appears again.
Comment 17 David Tardon 2013-11-25 03:17:07 EST
(In reply to Wouter from comment #16)
> Created attachment 827926 [details]
> impress presentation

The file is password-protected.
Comment 18 Wouter 2013-11-25 11:57:47 EST
I'm sorry about that: I forgot it was protected. The password is: 851

Note You need to log in before you can comment on or make changes to this bug.